Documentation · API reference
GET
/api/v1/sites/{site}/visitors/{visitor}/exportA copy of everything held about a visitor, for them
This page as Markdown, or in an AI chatMore ways to read this page
A copy of everything held about a visitor, for them.
# A copy of everything held about a visitor, for them
> tidekeeper's API reference: https://tidekeeper.eu/docs/api/get-sites-site-visitors-visitor-export
`GET /api/v1/sites/{site}/visitors/{visitor}/export`
A copy of everything held about a visitor, for them.
## Parameters
- `site` (in path, needed): A site's id or name
- `visitor` (in path, needed): The visitor's ID
## The answer
200, `VisitorExport`: Everything held about a visitor, as JSON for them (DS-02).
- `consent` (list of RecordView, needed)
- `exported_at` (integer, needed)
- `note` (string, needed)
- `properties` (list of PropView, needed)
- `site` (string, needed)
- `visitor` (VisitorRow, needed)
- `visits` (list of ExportVisit, needed)
## Asking
```sh
curl https://tidekeeper.eu/api/v1/sites/example.org/visitors/{visitor}/export \
-H "Authorization: Bearer $TIDEKEEPER_TOKEN"
```
Parameters
- sitein the address
- neededA site's id or name
- visitorin the address
- neededThe visitor's ID
The answer
Status 200
VisitorExport Everything held about a visitor, as JSON for them (DS-02).
- consent
- list of RecordViewneeded
- exported_at
- integerneeded
- note
- stringneeded
- properties
- list of PropViewneeded
- site
- stringneeded
- visitor
- VisitorRowneeded
- visits
- list of ExportVisitneeded
Asking
curl https://tidekeeper.eu/api/v1/sites/example.org/visitors/{visitor}/export \ -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
const answer = await fetch("https://tidekeeper.eu/api/v1/sites/example.org/visitors/{visitor}/export", { headers: { Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`, }, }).then((r) => r.json());